#include <iostream>
using namespace std;
int main()
{
    long long beli[6],cherni[6];
    int pravilno[6];
    pravilno[0]=1;
    pravilno[1]=1;
    pravilno[3]=2;
    pravilno[4]=2;
    pravilno[5]=8;
    for(int a=0;a<6;a++)
    {
        cin>>beli[a];
    }
    for(int b=0;b<6;b++)
    {
        cin>>cherni[b];
    }
    for(int c=0;c<6;c++)
    {
        if(pravilno[c]==beli[c])
        {
            cout<<0;
        }else{
            if(pravilno[c]>beli[c])
            {
                cout<<beli[c]+(pravilno[c]-beli[c])<<" ";
            }else{
                cout<<beli[c]-(beli[c]-pravilno[c])<<" ";
            }
        }
    }
    for(int d=0;d<6;d++)
    {
        if(pravilno[d]==cherni[d])
        {
            cout<<0<<" ";
        }else{
            if(pravilno[d]>cherni[d])
            {
                cout<<cherni[d]+(pravilno[d]-cherni[d])<<" ";
            }else{
                cout<<cherni[d]-(cherni[d]-pravilno[d])<<" ";
            }
        }
    }
    cout<<endl;
    return 0;
}